import logging
import numpy as np
import aug_sfutils as sf

logger = logging.getLogger('trview.rhop2rhot')


def rhop2rhot(equ, pr_obj, eq_exp='AUGD', eq_diag='EQH', eq_ed=0):

    logger.info('Mapping fit data from regular rho_pol to regular rho_tor')

    for prefix in pr_obj.prof.keys():

        yfit = pr_obj.prof[prefix].yfit_rhop
        nt, nrho = yfit.shape
        rho_grid = pr_obj.rho # pol in input, tor in output

        rho_tor = sf.rho2rho(equ, rho_grid, t_in=pr_obj.time, coord_in='rho_pol', coord_out='rho_tor')

        pr_obj.prof[prefix].yfit_rhot = np.zeros_like(yfit)

        for jt in range(nt):
            pr_obj.prof[prefix].yfit_rhot[jt, :] = np.interp(rho_grid, rho_tor[jt, :], yfit[jt, :])

        pr_obj.psi = sf.rho2rho(equ, rho_grid, t_in=pr_obj.time, coord_in='rho_tor', coord_out='Psi')

        pr_obj.xlbl = 'rho_tor'

    return pr_obj
